Summary:	Test suite for libfabric API
Summary(pl.UTF-8):	Zestaw testów dla API libfabric
Name:		fabtests
Version:	1.4.1
Release:	1
License:	BSD or GPL v2
Group:		Libraries
#Source0Download: https://github.com/ofiwg/fabtests/releases
Source0:	https://github.com/ofiwg/fabtests/releases/download/v%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	83a8461f30d758c20b521639f43b06f4
URL:		https://github.com/ofiwg/fabtests
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake >= 1:1.11
BuildRequires:	libfabric-devel >= 1.4.1
BuildRequires:	libtool >= 2:2
BuildRequires:	sed >= 4.0
Requires:	libfabric >= 1.4.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fabtests provides a set of examples that uses libfabric - a
high-performance fabric software library.

%description -l pl.UTF-8
Fabtests to zbiór przykładów wykorzystujących libfabric - bibliotekę
wysoko wydajnych usług sieci typu fabric.

%prep
%setup -q

%{__sed} -i -e '1s,/usr/bin/env ruby,/usr/bin/ruby,' scripts/rft_yaml_to_junit_xml

%build
%{__libtoolize}
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# don't package plain unit tests
%{__rm} $RPM_BUILD_ROOT%{_bindir}/fi_{av_test,cm_data,cq_data,cq_test,dgram,dgram_waitset,dom_test,eq_test,getinfo_test,mr_test,msg,msg_epoll,msg_rma,msg_sockets,poll,rdm,rdm_atomic,rdm_rma_*,rdm_multi_recv,rdm_rma,rdm_tagged_peek,scalable_ep,shared_ctx,size_left_test}
%{__rm} $RPM_BUILD_ROOT%{_bindir}/runfabtests.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING
%attr(755,root,root) %{_bindir}/fi_cmatose
%attr(755,root,root) %{_bindir}/fi_dgram_pingpong
%attr(755,root,root) %{_bindir}/fi_msg_bw
%attr(755,root,root) %{_bindir}/fi_msg_pingpong
%attr(755,root,root) %{_bindir}/fi_msg_stream
%attr(755,root,root) %{_bindir}/fi_rc_pingpong
%attr(755,root,root) %{_bindir}/fi_rdm_cntr_pingpong
%attr(755,root,root) %{_bindir}/fi_rdm_pingpong
%attr(755,root,root) %{_bindir}/fi_rdm_shared_av
%attr(755,root,root) %{_bindir}/fi_rdm_tagged_bw
%attr(755,root,root) %{_bindir}/fi_rdm_tagged_pingpong
%attr(755,root,root) %{_bindir}/fi_rma_bw
%attr(755,root,root) %{_bindir}/fi_ubertest
%attr(755,root,root) %{_bindir}/rft_yaml_to_junit_xml
%{_datadir}/fabtests
%{_mandir}/man7/fabtests.7*
%changelog
* Sat Apr 15 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fabtests.git;a=log;h=master

* Sat Apr 15 2017 Jakub Bogusz <qboosh@pld-linux.org> f47b427
- updated to 1.4.1

* Mon Apr 18 2016 Jakub Bogusz <qboosh@pld-linux.org> c912fa8
- new Source URL, updated to 1.3.0

* Sat Jan 09 2016 Jakub Bogusz <qboosh@pld-linux.org> f224ef8
- updated to 1.2.0

* Sun Nov 01 2015 Jakub Bogusz <qboosh@pld-linux.org> b56f04f
- updated to 1.1.1

* Tue Jun 16 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e5f7aa
- initial

